### Home Classes Methods

### In Files

- lib/amqp/exceptions.rb

### Parent

AMQP::Error

### Methods

- ::new

### Class/Module Index

Quicksearch

- AMQP
- AMQP::Broker
- AMQP::Channel
- AMQP::ChannelClosedError
- AMQP::Client
- AMQP::Consumer
- AMQP::Error
- AMQP::Exchange
- AMQP::Header
- AMQP::IncompatibleOptionsError
- AMQP::Integration
- AMQP::Integration::Rails
- AMQP::PossibleAuthenticationFailureError
- AMQP::Queue
- AMQP::Session
- AMQP::TCPConnectionFailed
- AMQP::Utilities
- AMQP::Utilities::EventLoopHelper
- AMQP::Utilities::ServerType

No matching classes.

# AMQP::IncompatibleOptionsError

Raised when queue (or exchange) declaration fails because another queue with the same name but different attributes already exists in the channel object cache. @api public

### Public Class Methods

new(name, opts_1, opts_2) click to toggle source

    # File lib/amqp/exceptions.rb, line 64
    def initialize(name, opts_1, opts_2)
      super("There is already an instance called #{name} with options #{opts_1.inspect}, you can't define the same instance with different options (#{opts_2.inspect})!")
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.